Update a code
Rename, refile, retag, archive, or change where the code points. Fields left out stay as they are.
Authorization
apiKey An API key from Settings, Developers: Authorization: Bearer kc_live_...
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/codes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "shortCode": "string", "name": "string", "scanUrl": "string", "destination": { "type": "string", "url": "string", "pageId": "string", "fallbackUrl": "string", "rules": [ { "name": "string", "url": "http://example.com", "conditions": [ { "type": "time", "operator": "before", "value": "string", "valueEnd": "string" } ], "joins": [ "and" ] } ], "summary": "string" }, "folderId": "string", "tags": [ "string" ], "archived": true, "hasAccessCode": true, "previewUrl": "string", "scans": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "design": { "kind": "auto", "archetype": "string", "palette": [ "string" ], "scanVerified": true }, "warnings": [ "string" ]}